Bug 1412 - proxy is on a CRL
: proxy is on a CRL
Status: RESOLVED FIXED
: CoG jglobus
security
: unspecified
: PC Linux
: P2 major
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-11-20 10:55 by
Modified: 2005-12-05 17:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-20 10:55:17
Hi 
I checked out the code from CVS. Used ant to generate the jar file. 
I have software that was using jar from cog-1.1a and everthing was working 
fine. I just replaced the old jar file with this new one and the GSI 
Handshake is throwing an error between client and server. Then I used your 
sample server and client and got the same error. 
Here it is 
 
 
Server 
------------------------------------------------------------------------------------------------------------ 
[sekhri@sdsslnx10 voproject]$ java org.globus.gsi.gssapi.example.GssServer 
Server running at: 33807 
client connected 
GSSException: Defective credential detected [Root error message: This cert 
DC=org,DC=doegrids,OU=People,CN=Vijay Sekhri 141296,CN=proxy is on a CRL]. 
Root exception is org.globus.gsi.proxy.ProxyPathValidatorException: This cert 
DC=org,DC=doegrids,OU=People,CN=Vijay Sekhri 141296,CN=proxy is on a CRL 
        at 
org.globus.gsi.proxy.ProxyPathValidator.checkCRLs(ProxyPathValidator.java:785) 
        at 
org.globus.gsi.proxy.ProxyPathValidator.validate(ProxyPathValidator.java:297) 
        at 
org.globus.gsi.gssapi.GlobusGSSContextImpl.verifyChain(GlobusGSSContextImpl.java:654) 
        at 
org.globus.gsi.gssapi.GlobusGSSContextImpl.acceptSecContext(GlobusGSSContextImpl.java:293) 
        at org.globus.gsi.gssapi.example.Client.run(GssServer.java:107) 
client disconnected 
------------------------------------------------------------------------------------------------------------ 
 
Client 
------------------------------------------------------------------------------------------------------------ 
[sekhri@sdsslnx10 voproject]$ java org.globus.gsi.gssapi.example.GssClient 
sdsslnx10.fnal.gov 33807 
java.io.EOFException 
        at org.globus.gsi.gssapi.SSLUtil.readFully(SSLUtil.java:57) 
        at org.globus.gsi.gssapi.SSLUtil.readSslMessage(SSLUtil.java:74) 
        at org.globus.gsi.gssapi.example.GssClient.main(GssClient.java:116) 
closing... 
------------------------------------------------------------------------------------------------------------ 
 
 
 
 
My certificate is not on the CRL as I am using it everywhere and it works 
fine. It has not been revoked , I am sure. So is this a bug in new cog kit 
from cvs or am I missing something here? 
 
Thanks for your help 
Vijay
------- Comment #1 From 2003-11-24 11:33:56 -------
Fix committed to repository.

Rachana